import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
export const provinceCasesGetTableDetails = createAsyncThunk(
  "PROVINCE_CASES_GET_TABLE_DETAILS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("detail_of_killing", {
      params: {
        date1: d.selectedDate1,
        date2: d.selectedDate2,
        role: getRoleFromUrl(),
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
